Page MenuHomePhabricator

Create custom 502 Bad Gateway error page
Closed, ResolvedPublic

Description

As Quarry app itself is behind a nginx reverse proxy and sometimes fails, 502 error is not uncommon. Having a user-friendly error message would be great.

Event Timeline

Framawiki triaged this task as Lowest priority.May 11 2019, 8:25 PM
Framawiki created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 11 2019, 8:25 PM

Mentioned in SAL (#wikimedia-cloud) [2019-05-11T22:00:52Z] <framawiki> disabling puppet temporary on -web-01 to test nginx conf T223018

Mentioned in SAL (#wikimedia-cloud) [2019-05-11T22:10:16Z] <framawiki> re-enable puppet T223018

Change 509606 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[analytics/quarry/web@master] Create custom 50x error pages

https://gerrit.wikimedia.org/r/509606

Change 509608 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/puppet@production] quarry: nginx conf for custom 50x error pages

https://gerrit.wikimedia.org/r/509608

Change 509606 merged by jenkins-bot:
[analytics/quarry/web@master] Create custom 50x error pages

https://gerrit.wikimedia.org/r/509606

Mentioned in SAL (#wikimedia-cloud) [2019-05-12T17:57:07Z] <wm-bot> framawiki: Deployed 3776b5f on -web-01 T223018

Change 509608 merged by Andrew Bogott:
[operations/puppet@production] quarry: nginx conf for custom 50x error pages

https://gerrit.wikimedia.org/r/509608

Framawiki closed this task as Resolved.May 13 2019, 5:59 PM
Framawiki claimed this task.

Works as excepted, yeah! Now if the standard nginx bad gateway error page is shown, that originate from WMCS shared web proxy hosts and that says that quarry host is not responding at all.